<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (version 1.7.0_11) on Tue Apr 02 22:23:03 BRT 2019 -->
<meta http-equiv="Content-Type" content="text/html" charset="UTF-8">
<title>IGenericDAO</title>
<meta name="date" content="2019-04-02">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="IGenericDAO";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IGenericDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../br/unisal/aula/dao/AbstractDAO.html" title="class in br.unisal.aula.dao"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../br/unisal/aula/dao/RegistroFinanceiroDAO.html" title="class in br.unisal.aula.dao"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?br/unisal/aula/dao/IGenericDAO.html" target="_top">Frames</a></li>
<li><a href="IGenericDAO.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">br.unisal.aula.dao</div>
<h2 title="Interface IGenericDAO" class="title">Interface IGenericDAO&lt;T extends java.io.Serializable&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../br/unisal/aula/dao/AbstractDAO.html" title="class in br.unisal.aula.dao">AbstractDAO</a>, <a href="../../../../br/unisal/aula/dao/RegistroFinanceiroDAO.html" title="class in br.unisal.aula.dao">RegistroFinanceiroDAO</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">IGenericDAO&lt;T extends java.io.Serializable&gt;</span></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/dao/IGenericDAO.html#create(T)">create</a></strong>(<a href="../../../../br/unisal/aula/dao/IGenericDAO.html" title="type parameter in IGenericDAO">T</a>&nbsp;entity)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/dao/IGenericDAO.html#delete(T)">delete</a></strong>(<a href="../../../../br/unisal/aula/dao/IGenericDAO.html" title="type parameter in IGenericDAO">T</a>&nbsp;entity)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/dao/IGenericDAO.html#deleteById(java.lang.Long)">deleteById</a></strong>(java.lang.Long&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../br/unisal/aula/dao/IGenericDAO.html" title="type parameter in IGenericDAO">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/dao/IGenericDAO.html#findAll()">findAll</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../br/unisal/aula/dao/IGenericDAO.html" title="type parameter in IGenericDAO">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/dao/IGenericDAO.html#findById(java.lang.Long)">findById</a></strong>(java.lang.Long&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/dao/IGenericDAO.html#update(T)">update</a></strong>(<a href="../../../../br/unisal/aula/dao/IGenericDAO.html" title="type parameter in IGenericDAO">T</a>&nbsp;entity)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="findById(java.lang.Long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findById</h4>
<pre><a href="../../../../br/unisal/aula/dao/IGenericDAO.html" title="type parameter in IGenericDAO">T</a>&nbsp;findById(java.lang.Long&nbsp;id)</pre>
</li>
</ul>
<a name="findAll()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findAll</h4>
<pre>java.util.List&lt;<a href="../../../../br/unisal/aula/dao/IGenericDAO.html" title="type parameter in IGenericDAO">T</a>&gt;&nbsp;findAll()</pre>
</li>
</ul>
<a name="create(java.io.Serializable)">
<!--   -->
</a><a name="create(T)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre>void&nbsp;create(<a href="../../../../br/unisal/aula/dao/IGenericDAO.html" title="type parameter in IGenericDAO">T</a>&nbsp;entity)</pre>
</li>
</ul>
<a name="update(java.io.Serializable)">
<!--   -->
</a><a name="update(T)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>void&nbsp;update(<a href="../../../../br/unisal/aula/dao/IGenericDAO.html" title="type parameter in IGenericDAO">T</a>&nbsp;entity)</pre>
</li>
</ul>
<a name="delete(java.io.Serializable)">
<!--   -->
</a><a name="delete(T)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delete</h4>
<pre>void&nbsp;delete(<a href="../../../../br/unisal/aula/dao/IGenericDAO.html" title="type parameter in IGenericDAO">T</a>&nbsp;entity)</pre>
</li>
</ul>
<a name="deleteById(java.lang.Long)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>deleteById</h4>
<pre>void&nbsp;deleteById(java.lang.Long&nbsp;id)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IGenericDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../br/unisal/aula/dao/AbstractDAO.html" title="class in br.unisal.aula.dao"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../br/unisal/aula/dao/RegistroFinanceiroDAO.html" title="class in br.unisal.aula.dao"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?br/unisal/aula/dao/IGenericDAO.html" target="_top">Frames</a></li>
<li><a href="IGenericDAO.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
